/**
 * 注册、登录、修改密码、绑定手机号等
 */
import {get,post} from './http'

/**
 * 发送邮箱验证码
 * @param params.Name  用户姓名
 * @param params.Email  邮箱
 */
export const emailCodeSend=params=>{
    return get('/auth/emailCode',params)
}

/**
 * 短信验证码
 * @param params.Mobile  手机号
 * @param params.AreaNum  区号
 */
export const smsCodeSend=params=>{
    return get('/auth/smsCode',params)
}

/**
 * 注册
 * @param params.CompanyName 公司名称  
 * @param params.Name 用户名称  
 * @param params.Password 密码 md5加密后  
 * @param params.Email 用户邮箱  
 * @param params.SmsCode 邮箱验证码  
 */
export const registerApi=params=>{
    return post('/auth/register',params)
}

/**
 * 登录
 * @param params.Account 用户
 * @param params.Type 类型 1：邮箱 2：手机  
 * @param params.Password 密码 md5加密后  
 */
export const loginApi=params=>{
    return post('/auth/login',params)
}

/**
 * 绑定手机号
 * @param params.Mobile 手机号  
 * @param params.SmsCode 验证码  
 */
export const bindMobile=params=>{
    return post('/auth/bindMobile',params)
}

/**
 * 换绑手机号
 * @param params.OldMobile 原手机号  
 * @param params.Mobile 手机号  
 * @param params.SmsCode 验证码  
 */
export const modifyMobile=params=>{
    return post('/auth/modifyMobile',params)
}

/**
 * 修改密码
 * @param params.OldPwd 旧密码 MD5加密后  
 * @param params.NewPwd 新密码 MD5加密后  
 */
export const psdModify=params=>{
    return post('/auth/modifyPwd',params)
}

/**
 * 忘记密码
 * @param params.Account 账户
 * @param params.SmsCode 验证码
 * @param params.NewPwd 新密码 MD5加密后  
 */
export const psdMissingApi=params=>{
    return post('/auth/forgetPwd',params)
}

/**
 * 获取广告海报列表 
 */
export const getBannerList=params=>{
    return get('/public/banner',params)
}